1. Vendors - Vendor
3enab
🏪 Vendor Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - Vendor
    • Register a new vendor user
      POST
    • Login vendor
      POST
    • Logout vendor
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Items - Vendor
    • Create a new item
      POST
    • Get all items in a category
      GET
    • Get a single item by ID
      GET
    • Update an item
      PUT
    • Delete an item
      DELETE
    • Create a variant for an item
      POST
    • Update item status
      PATCH
    • Get all variants of an item
      GET
    • Upload item image
      POST
    • Update item availability
      PATCH
    • Update item group availability
      PATCH
    • Move item to another menu category
      PATCH
    • Update item active status
      PATCH
    • Update item discount
      PATCH
    • Remove item discount
      DELETE
    • Apply discount to all vendor items
      PATCH
    • Remove discount from all vendor items
      DELETE
    • Update items order
      PATCH
  • Menu Categories - Vendor
    • Create a new menu category for a vendor
    • Get all menu categories for a vendor
    • Get a single menu category by ID
    • Update a menu category
    • Delete a menu category
    • Update menu category active status
    • Update ordering for menu categories
  • Rates - Vendor
    • Get all ratings for vendor
    • Get a specific rating by ID
  • Users - Vendor
    • Get current vendor user profile
    • Update current vendor user profile
    • Delete current vendor user account
    • Change vendor user password
  • Vendor Categories - Vendor
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - Vendor
    • Get my vendors
      GET
    • Create a new vendor
      POST
    • Update vendor
      PUT
    • Delete vendor
      DELETE
    • Upload vendor logo
      POST
    • Get vendor logo
      GET
    • Update vendor active status
      PATCH
    • Update vendor availability status
      PATCH
    • Create or update vendor notice
      PUT
    • Upload vendor cover image
      POST
    • Delete vendor notice
      DELETE
    • Delete vendor cover image
      DELETE
    • Upload notice image
      POST
    • Update vendor preparation time
      PATCH
    • Delete notice image
      DELETE
  • Orders - Vendor
    • Get all orders for vendor
    • Get order by ID
    • Cancel order by vendor
    • Update order status
  • Versions - Vendor
    • Get the latest version for Vendor app
  1. Vendors - Vendor

Create or update vendor notice

PUT
/api/v1/vendor/vendors/{vendorId}/notice
Set a notice/alert on the vendor (e.g. "We are busy", "Ramadan hours", etc.).
The notice is shown to users when isActive is true.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "title": "We are currently busy",
    "details": "Orders may take 30-60 minutes longer than usual",
    "isActive": true
}

Responses

🟢200
application/json
Vendor notice updated successfully
Body

Example
{
    "status": "success",
    "message": "Vendor notice updated successfully",
    "data": {
        "vendor": {
            "_id": "507f1f77bcf86cd799439011",
            "name": "Pizza Palace",
            "description": "Best pizza in town",
            "category": "507f1f77bcf86cd799439013",
            "workingHours": {
                "open": "09:00",
                "close": "21:00",
                "days": [
                    "Monday",
                    "Tuesday",
                    "Wednesday",
                    "Thursday",
                    "Friday",
                    "Saturday",
                    "Sunday"
                ]
            },
            "owner": "507f1f77bcf86cd799439012",
            "logoPath": "/uploads/vendorsLogos/507f1f77bcf86cd799439011.jpg",
            "coverPath": "/uploads/vendorsCovers/507f1f77bcf86cd799439011.jpg",
            "isActive": true,
            "averageRate": 4.5,
            "totalRates": 150,
            "order": 0,
            "freeDelivery": false,
            "notice": {
                "title": "We are currently busy",
                "details": "Orders may take longer than usual",
                "imagePath": "/uploads/vendorsNotices/507f1f77bcf86cd799439011.jpg",
                "isActive": true
            },
            "preparationTime": {
                "from": 30,
                "to": 45,
                "unit": "minute"
            },
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    }
}
🟠400
🟠404
Modified at 2026-04-08 13:49:30
Previous
Update vendor availability status
Next
Upload vendor cover image
Built with